using System;
using DataProvider;

namespace ReportDemoApp
{
    using System.ComponentModel;
    using System.Drawing;
    using System.Windows.Forms;
    using Telerik.Reporting;
    using Telerik.Reporting.Drawing;

    /// <summary>
    /// Summary description for FamilyStatusReport.
    /// </summary>
    public partial class FamilyStatusReport : Telerik.Reporting.Report
    {
        public FamilyStatusReport()
        {
            /// <summary>
            /// Required for telerik Reporting designer support
            /// </summary>
            InitializeComponent();
        }

        public FamilyStatusReport(Guid Siteid)
        {
            /// <summary>
            /// Required for telerik Reporting designer support
            /// </summary>
            InitializeComponent();

            this.ReportParameters["Siteid"].Value = Siteid.ToString();
            FamilyProvider data = new FamilyProvider();
            this.DataSource = data.GetFilteredFamilyList(Siteid, true);
        }
    }
}